#pragma once
#include "panel.hpp"
#include "levelmanager.hpp"
#include <SFML/Graphics/RenderWindow.hpp>
#include <SFML/Graphics/RectangleShape.hpp>
#include "lel.hpp"

namespace gui {
  class CombatUI {
    public:
      lel::Parser $layout;
      GameLevel $level;
      std::unordered_map<std::string, sf::RectangleShape> $shapes;
      CombatUI(GameLevel level);

      void draw(sf::RenderWindow& window);
      void update_level(GameLevel &level) { $level = level; }
  };
}
